package com.dbs.mplus.fatima.framework.processor.msg;

import com.dbs.mplus.fatima.framework.MPlusFrameworkConstants;

import java.util.List;
import java.util.Map;

/**
 * Created by dbs on 2016-09-27.
 */

public class ConsentMessage extends CommandMessage {

    // 사용자 아이디
    private String userId;

    // 공통 파라미터
    private Map<String, String> commonParamMap;

    // 동의서 Form 파라미터 목록
    private List<Map<String, String>> formParamMapList;

    public ConsentMessage(MPlusFrameworkConstants.MSG_FUNCTION_TYPE function, Map<String, String> valueMap, String userId, Map<String, String> paramMap, List<Map<String, String>> formParamMapList) {
        super(function, valueMap);
        this.userId = userId;
        this.commonParamMap = paramMap;
        this.formParamMapList = formParamMapList;
    }

    public String getUserId() { return this.userId; }

    public Map<String, String> getParamMap() {
        return this.commonParamMap;
    }

    public List<Map<String, String>> getFormParamMapList() { return this.formParamMapList; }

    @Override
    public String toString() {
        return "ConsentMessage{" +
                "userId='" + userId + '\'' +
                ", commonParamMap=" + commonParamMap +
                ", formParamMapList=" + formParamMapList +
                '}';
    }
}
